- release_tracks: [ALPHA, BETA, GA]

  help_text:
    brief: List Secure Source Manager operations
    description: List all Secure Source Manager operations.
    examples: |
      To list all Secure Source Manager operations in location 'us-central1' under the current project, run:

      $ {command} --region=us-central1

  request:
    api_version: v1
    collection: securesourcemanager.projects.locations.operations

  arguments:
    resource:
      help_text: The location you want to list the operations for.
      spec: !REF googlecloudsdk.command_lib.source_manager.resources:location

  response:
    id_field: name

  output:
    format: |
      table(
        name.basename():label=OPERATION_NAME,
        name.segment(3):label=REGION,
        metadata.verb:label=TYPE,
        metadata.target.basename(),
        done,
        metadata.createTime.date():sort=1,
        duration(start=metadata.createTime,end=metadata.endTime,precision=0,calendar=false).slice(2:).join("").yesno(no="<1S"):label=DURATION
      )
